<!-- markdownlint-disable MD030 -->

![Langflow](./docs/static/img/hero.png)

<p align="center" style="font-size: 12px;">
    Langflow — это инструмент для создания приложений с низким уровнем кода для RAG и многоагентных ИИ-приложений. Он основан на Python и не зависит от конкретных моделей, API или баз данных.
</p>

<p align="center" style="font-size: 12px;">
    <a href="https://docs.langflow.org" style="text-decoration: underline;">Документация</a> -
    <a href="https://astra.datastax.com/signup?type=langflow" style="text-decoration: underline;">Бесплатный облачный сервис</a> -
    <a href="https://docs.langflow.org/get-started-installation" style="text-decoration: underline;">Самостоятельное развертывание</a>

</p>

<div align="center">
  <a href="./README.md"><img alt="README на английском" src="https://img.shields.io/badge/English-d9d9d9"></a>
  <a href="./README.PT.md"><img alt="README на португальском" src="https://img.shields.io/badge/Portuguese-d9d9d9"></a>
  <a href="./README.ES.md"><img alt="README на испанском" src="https://img.shields.io/badge/Spanish-d9d9d9"></a>
  <a href="./README.zh_CN.md"><img alt="README на упрощенном китайском" src="https://img.shields.io/badge/简体中文-d9d9d9"></a>
  <a href="./README.ja.md"><img alt="README на японском" src="https://img.shields.io/badge/日本語-d9d9d9"></a>
  <a href="./README.KR.md"><img alt="README на корейском" src="https://img.shields.io/badge/한국어-d9d9d9"></a>
  <a href="./README.FR.md"><img alt="README на французском" src="https://img.shields.io/badge/Français-d9d9d9"></a>
  <a href="./README.RU.md"><img alt="README на русском" src="https://img.shields.io/badge/Русский-d9d9d9"></a>
</div>

## ✨ Основные возможности

1. **Основан на Python** и не зависит от моделей, API, источников данных или баз данных.
2. **Визуальная IDE** для построения и тестирования рабочих процессов методом drag-and-drop.
3. **Песочница** для мгновенного тестирования и итерации процессов с поэтапным контролем.
4. **Оркестрация многоагентных систем** с управлением диалогами и извлечением информации.
5. **Бесплатный облачный сервис**, позволяющий начать работу за считанные минуты без настройки.
6. **Публикация в виде API** или экспорт в виде Python-приложения.
7. **Наблюдаемость** с интеграцией LangSmith, LangFuse или LangWatch.
8. **Безопасность и масштабируемость уровня предприятия** с бесплатным облачным сервисом DataStax Langflow.
9. **Настройка рабочих процессов** или создание потоков исключительно на Python.
10. **Интеграция с экосистемами** через повторно используемые компоненты для любых моделей, API или баз данных.

![Интеграции](./docs/static/img/integrations.png)

## 📦 Быстрый старт

- **Установка через uv (рекомендуется)** (Python 3.10–3.12):

```shell
uv pip install langflow
```

- **Установка через pip** (Python 3.10–3.12):

```shell
pip install langflow
```

- **Облако:** DataStax Langflow — это управляемая среда без необходимости настройки. [Зарегистрируйтесь бесплатно.](https://astra.datastax.com/signup?type=langflow)
- **Самостоятельное развертывание:** Запустите Langflow в своей среде. [Установите Langflow](https://docs.langflow.org/get-started-installation), чтобы запустить локальный сервер Langflow, а затем воспользуйтесь [руководством по быстрому старту](https://docs.langflow.org/get-started-quickstart) для создания и выполнения потока.
- **Hugging Face:** [Клонируйте пространство по этой ссылке](https://huggingface.co/spaces/Langflow/Langflow?duplicate=true), чтобы создать рабочее пространство Langflow.

[![Начало работы](https://github.com/user-attachments/assets/f1adfbe7-3c35-43a4-b265-661f3d4f875f)](https://www.youtube.com/watch?v=kinngWhaUKM)

## ⭐ Будьте в курсе обновлений

Добавьте Langflow в избранное на GitHub, чтобы мгновенно узнавать о новых релизах.

![Star Langflow](https://github.com/user-attachments/assets/03168b17-a11d-4b2a-b0f7-c1cce69e5a2c)

## 👋 Внесите свой вклад

Мы приветствуем вклад разработчиков любого уровня. Если хотите помочь в развитии проекта, ознакомьтесь с нашими [руководящими принципами для участников](./CONTRIBUTING.md) и сделайте Langflow еще доступнее.

---

[![График истории звезд](https://api.star-history.com/svg?repos=langflow-ai/langflow&type=Timeline)](https://star-history.com/#langflow-ai/langflow&Date)

## ❤️ Соавторы

[![Соавторы Langflow](https://contrib.rocks/image?repo=langflow-ai/langflow)](https://github.com/langflow-ai/langflow/graphs/contributors)
